get_x_rotate_quat(3)

NAME
get_x_rotate_quat, get_y_rotate_quat, get_z_rotate_quat

SYNOPSIS
#include <allegro.h>

void get_x_rotate_quat(QUAT *q, float r); void get_y_rotate_quat(QUAT *q, float r); void get_z_rotate_quat(QUAT *q, float r);

DESCRIPTION
Construct axis rotation quaternions, storing them in q. When applied to a point, these quaternions will rotate it about the relevant axis by the specified angle (given in binary, 256 degrees to a circle format).